Skip to main content
GET
Get a Knowledge Chunk

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

knowledgeStoreId
string
required

The Id of the KnowledgeStore

Required string length: 24
Pattern: ^[a-z0-9]{24}$
sourceId
string
required

The Id of the KnowledgeSource

Required string length: 24
Pattern: ^[a-z0-9]{24}$
chunkId
string
required

The Id of the KnowledgeChunk

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns KnowledgeChunk object

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

order
number

The name of the KnowledgeChunk

Example:

1

text
string

The text that is the actual content of the chunk

Example:

"This is a paragraph from an article"

data
object

The extended data of KnowledgeChunk

disabled
enum<boolean>

The status to check if knowledge chunk is disabled

Available options:
false,
true
referenceId
string<uuid>
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026